setup.py 1.75 KB
Newer Older
vikas-parashar's avatar
vikas-parashar committed
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
# -*- coding: utf-8 -*-
"""Installer for the plonetheme.spot package."""

from setuptools import find_packages
from setuptools import setup


long_description = '\n\n'.join([
    open('README.rst').read(),
    open('CHANGES.rst').read(),
])


setup(
    name='plonetheme.spot',
vikas-parashar's avatar
vikas-parashar committed
16
    version='1.0a2',
vikas-parashar's avatar
vikas-parashar committed
17
18
19
20
21
22
23
24
25
26
    description="A theme for Plone 5",
    long_description=long_description,
    # Get more from https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        "Environment :: Web Environment",
        "Framework :: Plone",
        "Framework :: Plone :: 5.0",
        "Programming Language :: Python",
        "Programming Language :: Python :: 2.7",
        "Operating System :: OS Independent",
vikas-parashar's avatar
vikas-parashar committed
27
        "License :: OSI Approved :: MIT License",
vikas-parashar's avatar
vikas-parashar committed
28
    ],
vikas-parashar's avatar
vikas-parashar committed
29
    keywords='Python Plone Theme <web></web>',
vikas-parashar's avatar
vikas-parashar committed
30
31
32
    author='Vikas Parashar',
    author_email='svnitvikas@gmail.com',
    url='https://pypi.python.org/pypi/plonetheme.spot',
vikas-parashar's avatar
vikas-parashar committed
33
34
    license='MIT License',
    packages=find_packages(exclude=['ez_setup']),
vikas-parashar's avatar
vikas-parashar committed
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
    namespace_packages=['plonetheme'],
    include_package_data=True,
    zip_safe=False,
    install_requires=[
        'plone.api',
        'Products.GenericSetup>=1.8.2',
        'setuptools',
        'z3c.jbot',
        'plone.app.theming',
        'plone.app.themingplugins',
    ],
    extras_require={
        'test': [
            'plone.app.testing',
            # Plone KGS does not use this version, because it would break
            # Remove if your package shall be part of coredev.
            # plone_coredev tests as of 2016-04-01.
            'plone.testing>=5.0.0',
            'plone.app.contenttypes',
            'plone.app.robotframework[debug]',
        ],
    },
    entry_points="""
    [z3c.autoinclude.plugin]
    target = plone
    """,
)